package cz.fidentis.analyst.mesh.core;

import java.util.ArrayList;
import java.util.List;

public class CornerTable {

    private List<CornerTableRow> rows = new ArrayList<>();

    public int getTriangleStartingCornerIndex(int c) {
        return c / 3;
    }

    public int getIndexOfOppositeCorner(int c) {
        return rows.get(c).getOppositeCornerIndex();
    } // opposite

    public int getIndexOfNextCornerInTriangle(int c) {
        if ((c % 3) == 2)
            return c - 1;
        return c + 1;
    }// next in t(c)

    public int getIndexOfPreviousCornerInTriangle(int c) {
        return getIndexOfNextCornerInTriangle(getIndexOfNextCornerInTriangle(c));
    } // previous corner

    public int getIndexOfTipCornerOnLeft(int c) {
        return getIndexOfOppositeCorner(getIndexOfPreviousCornerInTriangle(c));
    }  // tip on left

    public int getIndexOfTipCornerOnRight(int c) {
        return getIndexOfOppositeCorner(getIndexOfNextCornerInTriangle(c));
    } // tip on right

    public int getNextAroundCorner(int c) {
        return getIndexOfNextCornerInTriangle(getIndexOfTipCornerOnLeft(c));
    } // next around v(c)

    public void addRow(CornerTableRow row) {
        rows.add(row);
    }


}
